# emterra-route-optix

- The controller we are using is 'RouteOptixController.php'.
- The controller contains the following functions:
	1. CustomerLogin
		a) URL : emterra-route-optix/public/index.php/customer-login
		b) Method : POST
		c) Params:
			(1) customer_number
			(2) location_number
			(3) phone_number
	2. GetInvoice
		a) URL : emterra-route-optix/public/index.php/get-invoice
		b) Method : GET
		c) Params:
			(1) customer_number
			(2) location_number
			(3) invoice
			(4) division
	3. GetDocument
		a) URL : emterra-route-optix/public/index.php/get-document
		b) Method : GET
		c)Params:
			(1) customer_number
			(2) location_number
			(3) document
			(4) document_date(yyy-mm-dd) (eg: 2019-12-02)
			(5) division
	4. GetServices
		a) URL : emterra-route-optix/public/index.php/get-services
		b) Method : GET
		c)Params:
			(1) customer_number
			(2) location_number
			(3) service_start_date(yyy-mm-dd) (eg: 2019-12-02)
			(4) service_end_date(yyy-mm-dd) (eg: 2019-12-02)
			(5) division
	5. Payinvoice
		a) URL : emterra-route-optix/public/index.php/payinvoice
		b) Method : POST
		c)Params:
			(1) division
			(2) customer_number
			(3) location_number
			(4) invoices
			(5) amounts
			(6) payment_type ( 'CC' or 'ACH')
		if payment_type is 'cc' use following params:
			(7) creditcard_number
			(8) expiry_date(mm/yy) (eg: 12/19)
			(9) creditcard_name
		if payment_type is 'ACH' use following params:
			(7) ach_name
			(8) ach_number
			(9) ach_routing
			(10)ach_type