<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$router->get('/', function () use ($router) {
   
    return $router->app->version();
});

$router->post('customer-login', ['uses' => 'RouteOptixController@CustomerLogin']);
$router->get('get-invoice', ['uses' => 'RouteOptixController@GetInvoice']);
$router->get('get-document', ['uses' => 'RouteOptixController@GetDocument']);
$router->post('payinvoice', ['uses' => 'RouteOptixController@Payinvoice']);
$router->get('get-services', ['uses' => 'RouteOptixController@GetServices']);
